#
# Copyright 2018 Fairphone B.V.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

"""
Android tools for Python 3, a support library for Android devices and apps.

Offers an interface that wraps around the Android SDK Platform tools.
"""

from . import app, device, utils


# Expose the public API directly within the module
# pylint: disable=invalid-name, C0103

App = app.App

Device = device.Device
AppInstallationError = device.AppInstallationError

aapt = utils.aapt
adb = utils.adb
fastboot = utils.fastboot
AaptCommandError = utils.AaptCommandError
AdbCommandError = utils.AdbCommandError
FastbootCommandError = utils.FastbootCommandError
